Subject: Re: Cancel

From: L J Clarke <[email-masked]>
Date: Fri, 5 Mar 93 16:06:03 GMT

Hello world :-)

I just like to say that I generally support Jim's proposal.

I see three sensible options, at this point:

(1) Cancel for nonblocking receive operations

(2) Cancel for nonblocking point-to-point operations (i.e., send and receive)

(3) Cancel for nonblocking operations (i.e., point-to-point and collective)
    [How about cancellable nonblocking group partitions? :-)]

I will certainly vote for (2) - I don't suppose there are any surprises
there.  I expect that I will find in favour of (3), but I really have to
think through implementation first, so I'm reserving judgement. 

Best Wishes
Lyndon

         /--------------------------------------------------------\
    e||) | Lyndon J Clarke    Edinburgh Parallel Computing Centre | e||) 
    c||c | Tel: 031 650 5021  Email: [email-masked]  | c||c 
         \--------------------------------------------------------/